Subject: bug#656 closed by Jason Rumney <[email-masked]> (Re: bug#656: Glyphs in Private Use Area not displayed in Emacs CVS)

From: [email-masked] (Emacs bug Tracking System)
Date: Tue, 24 Feb 2009 13:50:04 +0000

This is an automatic notification regarding your bug report
which was filed against the emacs,documentation package:

#656: Glyphs in Private Use Area not displayed in Emacs CVS

It has been closed by Jason Rumney <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Jason Rumney <[email-masked]> by
replying to this email.

-- 
656: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=656
Emacs Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#656: Glyphs in Private Use Area not displayed in Emacs CVS
From: Jason Rumney <[email-masked]>
To: [email-masked]
Cc: Alex Speed Kjeldsen <[email-masked]>
Date: Tue, 24 Feb 2009 21:44:03 +0800

Jason Rumney wrote:
> Looking at what you wrote above again, I think the problem is that 
> Emacs now looks in greater detail at which unicode characters fonts 
> have, rather than blindly using any iso10646-1 font for all unicode 
> characters. For characters in PUA you will need to explicitly tell 
> Emacs how to display them as follows, since Emacs cannot automatically 
> recognize which fonts contain the characters you want:
>
> (set-fontset-font "fontset-default"  '(#xe000 . #xf8ff) FONT-SPEC)

I have improved the documentation for fontsets, including adding several 
examples of the use of set-fontset-font, which seems to be the preferred 
way of specifying fonts for particular characters in Emacs 23.

>From [email-masked] Wed Aug  6 00:19:12 2008
Date: Wed, 6 Aug 2008 09:19:38 +0200
From: Alex Speed Kjeldsen <[email-masked]>
To: [email-masked]
Subject: Glyphs in Private Use Area not displayed in Emacs CVS

Yesterday I compiled emacs from CVS by doing:

  cvs -z3 -d:pserver:[email-masked]:/sources/emacs co emacs
  ./configure --prefix=/opt/emacs-cvs --program-suffix=.em23 --with-x-toolkit --enable-font-backend --with-xft

It seems to work ok with one for me very important exception: glyphs in the Private Use Area are not rendered correctly. They simply appear as empty boxes in the buffers. This bug seems to have been around for quite some time (introduced somewhere between December and February, I think -- judging from the ubuntu packages maintained by Alexandre Vassalotti).

I hope this can be fixed soon, since it is crucial for my work. I use a lot of glyphs from the PUA in my research (Old Norse Philology).

Best regards

Alex Speed Kjeldsen
Copenhagen University